var MAINV_INTERVAL = 10000;	// 背景画像を切り替えるタイミング　※20180506変更（元8000）
var ___imageList = ['images/img_mainv_1.jpg', 'images/img_mainv_2.jpg', 'images/img_mainv_3.jpg', 'images/img_mainv_4.jpg'];	// 使用する背景画像　※20180506追加変更

var ___ctrl;
var ___tid;
var ___idx = 0;
var ___cidx = 0;
var ___switch = true;
var ___handlerStatus = 0;
$(function() {
	initCopy();
	initMainVNavList();
	selectMainVNav(0);
	if ($.browser.msie && $.browser.version < 9) {
		$(".mainvnav li").each(function() {
			$(this).find("a").click(function() {
				if (___handlerStatus == 1) return;
				var idx = $(this).attr("id").replace("mainvnav", "");  
				selectedIndex(idx);
			});
		});
		// IE6,IE7,IE8
		___tid = setInterval("switchMainV()", MAINV_INTERVAL);
		$("#mainv").wrapAll('<div id="mainvWrap"></div>');
		$("#mainvWrap").css("height", "320px");
	} else {
		var node = $('#mainv').bgSwitcher({
			images: ___imageList,
			interval: MAINV_INTERVAL
			,switchStartHandler: switchStartHandler
			,switchCompleteHandler: switchCompleteHandler
		});
		___ctrl = node.data('bgSwitcher');
		$(".mainvnav li").each(function() {
			$(this).find("a").click(function() {
				if (___handlerStatus == 1) return;
				___handlerStatus = 1;	// 背景切り替え開始
				var idx = $(this).attr("id").replace("mainvnav", "");  
				___ctrl.selectedIndex(idx);
			});
		});
	}
});

function switchStartHandler() {
	___handlerStatus = 1;	// 背景切り替え開始
	var idx = (parseInt(___idx) + 1);
	var fadeObj = '.copy'+idx;
	if ($.browser.msie) {
		 fadeObj += " img";
	}
	if (___idx != ___cidx) {
		___switch = false;
		return;
	}
	___switch = true;
	$(fadeObj).fadeOut(500, function() {
		$('.copy'+idx).hide();
	});
}

function switchCompleteHandler() {
	if (!___switch) {
		___switch = true;
	}
	selectMainVNav(___ctrl.index);
	___idx = ___ctrl.index;
	if ($.browser.msie) $('.copy'+idx).hide();
	var idx = (parseInt(___idx) + 1);
	var  fadeObj = '.copy'+idx;
	if ($.browser.msie) {
		 fadeObj += " img";
		$('.copy'+idx).show();
	}
	if (___idx == ___cidx) return;
	$(fadeObj).fadeIn(500, function() {
		___handlerStatus = 0;	// コピー表示完了
		___cidx = ___idx;
	});
}

function selectMainVNav(idx) {
	var suffix = "_on";
	var baseFileName = "images/btn_mainv";
	var ext = "gif";
	for (var i = 0; i < ___imageList.length ; i++) {
		if (i == idx) {
			$("#mainvnav"+i).find("img").attr("src", baseFileName+suffix+"."+ext);
		} else {
			$("#mainvnav"+i).find("img").attr("src", baseFileName+"."+ext);
		}
	}
}

function initMainVNavList() {
	var str = "";
	$(".mainvnav").empty();
	for (var i = 0; i < ___imageList.length ; i++) {
		str += '<li><a href="javascript:void(0);" id="mainvnav'+i+'"><img src="images/btn_mainv.gif" width="30" height="14" alt="" /></a></li>';
	}
	$(".mainvnav").html(str);
}

function initCopy() {
	$('.mainvInr:not(".copy1")').hide();
}

// only IE6,IE7,IE8
function switchMainV() {
	___handlerStatus = 1;	// 背景切り替え開始
	var idx = (parseInt(___idx) + 1);
	$('.copy'+idx).hide();
	$('#mainv').fadeOut(500, function() {
		___idx++;
		if (___idx >= ___imageList.length) ___idx = 0;
		$('#mainv').css("background-image","url("+___imageList[___idx]+")");
		$('#mainv').fadeIn(500, function() {
			selectMainVNav(___idx);
			var idx = (parseInt(___idx) + 1);
			$('.copy'+idx).show();
			___handlerStatus = 0;	// コピー表示完了
		});
	});
}

function selectedIndex(idx) {
	clearInterval(___tid);
	___idx = idx - 1;
	if (___idx < 0) ___idx = ___imageList.length - 1;
	switchMainV();
	___tid = setInterval("switchMainV()", MAINV_INTERVAL);
}
// only IE6,IE7,IE8
